Bug 441804 - Coredump ~XPCWrappedNative
Coredump ~XPCWrappedNative
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 05:12 EDT by Zdenek Kabelac
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 08:46:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-04-10 05:12:49 EDT
Description of problem:

Found this coredump with current firefox (seems to be somewhat unstable recently)

Version-Release number of selected component (if applicable):
firefox-3.0-0.53.beta5.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Core was generated by `/usr/lib64/firefox-3.0b5/firefox -UILocale cs'.
Program terminated with signal 11, Segmentation fault.
[New process 3335]
[New process 6337]
[New process 4537]
[New process 3425]
[New process 3424]
[New process 3422]
[New process 3421]
#0  0x000000303c60efcb in raise () from /lib64/libpthread.so.0
Missing separate debuginfos, use: debuginfo-install GConf2.x86_64 ORBit2.x86_64
acl.x86_64 alsa-lib.x86_64 atk.x86_64 attr.x86_64 audiofile.x86_64 avahi.x86_64
bug-buddy.x86_64 bzip2.x86_64 cairo.x86_64 dbus-glib.x86_64 dbus.x86_64
e2fsprogs.x86_64 elfutils.x86_64 esound.x86_64 expat.x86_64 fontconfig.x86_64
freetype.x86_64 gail.x86_64 gamin.x86_64 gcc.x86_64 glib2.x86_64 glibc.x86_64
gnome-keyring.x86_64 gnome-vfs2.x86_64 gtk2-engines.x86_64 gtk2.x86_64
hunspell.x86_64 keyutils.x86_64 krb5.x86_64 lcms.x86_64 libICE.x86_64
libSM.x86_64 libXScrnSaver.x86_64 libXau.x86_64 libXcomposite.x86_64
libXcursor.x86_64 libXdmcp.x86_64 libXext.x86_64 libXfixes.x86_64 libXft.x86_64
libXi.x86_64 libXinerama.x86_64 libXrandr.x86_64 libXrender.x86_64 libXt.x86_64
libart_lgpl.x86_64 libbonobo.x86_64 libbonoboui.x86_64 libcap.x86_64
libcroco.x86_64 libgnome.x86_64 libgnomecanvas.x86_64 libgnomeui.x86_64
libgsf.x86_64 libjpeg.x86_64 libpng.x86_64 librsvg2.x86_64 libselinux.x86_64
libxcb.x86_64 libxml2.x86_64 nspr.x86_64 nss.x86_64 openssl.x86_64 pango.x86_64
pixman.x86_64 popt.x86_64 sqlite.x86_64 startup-notification.x86_64 zlib.x86_64
(gdb) bt
#0  0x000000303c60efcb in raise () from /lib64/libpthread.so.0
#1  0x0000003054626c6d in nsProfileLock::FatalSignalHandler (signo=<value
optimized out>) at nsProfileLock.cpp:212
#2  <signal handler called>
#3  0x000000303ba7b798 in _int_free () from /lib64/libc.so.6
#4  0x000000303ba7bd96 in free () from /lib64/libc.so.6
#5  0x000000305464da5a in ~XPCWrappedNative (this=<value optimized out>) at
xpcwrappednative.cpp:694
#6  0x000000305464a222 in XPCWrappedNative::Release (this=<value optimized out>)
at xpcwrappednative.cpp:936
#7  0x0000003053a525be in js_FinalizeObject (cx=<value optimized out>,
obj=<value optimized out>) at jsobj.c:2837
#8  0x0000003053a3bf3f in js_GC (cx=<value optimized out>, gckind=<value
optimized out>) at jsgc.c:3333
#9  0x000000305462ccef in nsXPConnect::Collect (this=<value optimized out>) at
nsXPConnect.cpp:526
#10 0x0000003054e13c5f in nsCycleCollector::Collect (this=<value optimized out>,
aTryCollections=<value optimized out>)
    at nsCycleCollector.cpp:2250
#11 0x0000003054a081e1 in nsJSContext::CC () at nsJSEnvironment.cpp:3346
#12 0x0000003054a08298 in nsJSContext::MaybeCC (aHigherProbability=<value
optimized out>) at nsJSEnvironment.cpp:3397
#13 0x0000003054a0840b in nsJSContext::Notify (this=<value optimized out>,
timer=<value optimized out>)
    at nsJSEnvironment.cpp:3438
#14 0x0000003054e0b798 in nsTimerImpl::Fire (this=<value optimized out>) at
nsTimerImpl.cpp:403
#15 0x0000003054e0b8a1 in nsTimerEvent::Run (this=<value optimized out>) at
nsTimerImpl.cpp:490
#16 0x0000003054e093f6 in nsThread::ProcessNextEvent (this=<value optimized
out>, mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:510
#17 0x0000003054ddac4e in NS_ProcessNextEvent_P (thread=<value optimized out>,
mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#18 0x0000003054d52a49 in nsBaseAppShell::Run (this=<value optimized out>) at
nsBaseAppShell.cpp:170
#19 0x0000003054c236e5 in nsAppStartup::Run (this=<value optimized out>) at
nsAppStartup.cpp:181
#20 0x000000305461fadb in XRE_main (argc=<value optimized out>, argv=<value
optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3154
#21 0x0000000000401665 in __gxx_personality_v0 ()
#22 0x000000303ba1e40a in __libc_start_main () from /lib64/libc.so.6
#23 0x0000000000401159 in __gxx_personality_v0 ()
#24 0x00007fff3f1105e8 in ?? ()
#25 0x000000000000001c in ?? ()
#26 0x0000000000000003 in ?? ()
#27 0x00007fff3f1117e2 in ?? ()
#28 0x00007fff3f111803 in ?? ()
#29 0x00007fff3f11180d in ?? ()
#30 0x0000000000000000 in ?? ()
Comment 1 Matěj Cepl 2008-04-10 12:45:22 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please install firefox-debuginfo; in order to do this you have to enable
-debuginfo repository.

	yum install --enablerepo=\*debuginfo firefox-debuginfo

(if you use x86_64 firefox, install firefox-debuginfo.x86_64  package).

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-04-15 11:48:30 EDT
New firefox (0.54.beta5.fc9) uses system cairo, so we would need your restesting
all these bugs. Are you able to reproduce these bugs and could you attach new
backtraces, please, if yes.
Comment 3 Matěj Cepl 2008-04-16 08:46:10 EDT
Because it apparently is not possible to reproduce this bug in a predicable
manner, we are closing this as INSUFFICIENT_DATA. If you can tell us how to
reproduce this, please reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.